Delete a contact

Permanently deletes a contact by its ID. Use this endpoint to delete a contact through the Samva email API.

DELETE
/v1/contacts/{id}

Permanently deletes a contact by its ID.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^contact_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

Success

application/json
  1. response
success*boolean
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.contacts.remove({  "id": "example"});
Example Response
{  "success": true}

Related documentation